<!--- 
CFAcademy
HOT 1
Security Basics

CSS Context with ESAPI native functions
 --->

<!--- 
TASK:
Please modify the code below in such a fashion that the proper encoding is used.
 --->

<!DOCTYPE HTML>

<html>
<head>
	<cfparam name="backgroundColor" default="##E6EAE9">
	
	<title>Style This</title>
	<style>
		<cfoutput>
		body {
			font: normal 11px auto "Trebuchet MS", Verdana, Arial, Helvetica, sans-serif;
			color: ##4f6b72;
			background: #backgroundColor#;
		}
		</cfoutput>
		
		a {
			color: #c75f3e;
		}
		
		#mytable {
			width: 700px;
			padding: 0;
			margin: 0;
		}
		
		caption {
			padding: 0 0 5px 0;
			width: 700px;	 
			font: italic 11px "Trebuchet MS", Verdana, Arial, Helvetica, sans-serif;
			text-align: right;
		}
		
		th {
			font: bold 11px "Trebuchet MS", Verdana, Arial, Helvetica, sans-serif;
			color: #4f6b72;
			border-right: 1px solid #C1DAD7;
			border-bottom: 1px solid #C1DAD7;
			border-top: 1px solid #C1DAD7;
			letter-spacing: 2px;
			text-transform: uppercase;
			text-align: left;
			padding: 6px 6px 6px 12px;
			background: #CAE8EA url(../resources/images/bg_header.jpg) no-repeat;
		}
		
		th.nobg {
			border-top: 0;
			border-left: 0;
			border-right: 1px solid #C1DAD7;
			background: none;
		}
		
		td {
			border-right: 1px solid #C1DAD7;
			border-bottom: 1px solid #C1DAD7;
			background: #fff;
			padding: 6px 6px 6px 12px;
			color: #4f6b72;
		}
		
		
		td.alt {
			background: #F5FAFA;
			color: #797268;
		}
		
		th.spec {
			border-left: 1px solid #C1DAD7;
			border-top: 0;
			background: #fff url(../resources/images/bullet1.gif) no-repeat;
			font: bold 10px "Trebuchet MS", Verdana, Arial, Helvetica, sans-serif;
		}
		
		th.specalt {
			border-left: 1px solid #C1DAD7;
			border-top: 0;
			background: #f5fafa url(../resources/images/bullet2.gif) no-repeat;
			font: bold 10px "Trebuchet MS", Verdana, Arial, Helvetica, sans-serif;
			color: #797268;
		}	
		
		
	</style>
	
</head>

<body>

	<table id="mytable" cellspacing="0" summary="The technical specifications Turbines">
	<caption>Table 1: Turbine AMT99 Specificications </caption>
	<tr>
	  <th scope="col" abbr="Configurations" class="nobg">Configurations</th>
	  <th scope="col" abbr="Dual 1.8GHz">Dual Core 1.8GHz</th>
	  <th scope="col" abbr="Dual 2GHz">Dual Core 2GHz</th>
	  <th scope="col" abbr="Dual 2.5GHz">Dual Core 2GHz</th>
	</tr>
	<tr>
	  <th scope="row" class="spec">Model</th>
	  <td>M9454LL/A</td>
	  <td>M9455LL/A</td>
	  <td>M9457LL/A</td>
	</tr>

	
	
	</br></br>
	<cfoutput>
	<form action="#cgi.script_name#" method="post" id="myform">	
		<table id="inputTable" cellspacing="0" summary="color change input table">
		<caption>Table 2: User Entry </caption>
		<tr>
		  <th scope="col" abbr="Background" class="nobg">New Background Color</th>
		  <th scope="col" abbr="cv">Color Value</th>
		  <th scope="col" abbr="action">Action</th>
		</tr>
		<tr>
		  <th scope="row" class="spec">Value</th>
		  <td><input type="text" name="backgroundColor" value="#backgroundColor#" size="30"></td>
		  <td><input type="submit" name="submit"></td>
		  
		</tr>			
		</form>	
	</cfoutput>

</body>
</html>	

