<!--- 
CFAcademy
HOT 1
Security Basics
(c) 2012 Bilal Soylu

A8-Failure to Restrict URL Access
 --->

<!--- 
TASK:
Please secure the way we store this users passwords.
Do all needed improvement to make this secure.
 --->
component {

	// application variables
	this.name = "InsecureURLTestApp2B";
	this.applicationtimeout = createTimeSpan(0,2,0,0);
	this.sessionmanagement = true;
	this.sessiontimeout = createTimeSpan(0,1,0,0);
	this.clientstorage = "cookie";
	
	
	// methods

	/**
	 * @hint The application first starts: the first request for a page is processed or the first CFC method is invoked by an event gateway instance, or a web services or Flash Remoting CFC.
	 */
	public boolean function onApplicationStart(){
		Application.AppName="App 1";
		//CHANGE THIS TO REFLECT YOUR APP LOCATION
		Application.basePath = "/hot1/excercises/a8_UrlAccess/goodExample";
		return true;
	}

	/**
	 * @hint The application ends: the application times out, or the server is stopped
	 */
	public void function onApplicationEnd(ApplicationScope){

	}

	

	/**
	 * @hint A request starts
	 */
	public boolean function onRequestStart(String targetPage){
		//do file activity		
		
		return true;
	}
	

	/**
	 * @hint All pages in the request have been processed:
	 */
	public void function onRequestEnd(String targetPage){
		
		var basePath = Application.basePath;
		WriteOutput("<h3>Pages to call</h3><hr noshade>");
		WriteOutput("<a href='#basePath#/Login.cfm'>Login</a><br>");
		WriteOutput("<a href='#basePath#/Admin/Logout.cfm'>Logout</a><br>");
		WriteOutput("<a href='#basePath#/Admin/PageA.cfm'>Secure A</a><br>");
		WriteOutput("<a href='#basePath#/Admin/PageB.cfm'>Secure B</a><br>");
		WriteOutput("<a href='#basePath#/Admin/PageC.cfm'>Secure C</a><br>");
		WriteOutput("<a href='#basePath#/PageX.cfm'>Open X</a><br>");
		WriteOutput("<a href='#basePath#/PageY.cfm'>Open Y</a><br>");
		WriteOutput("<a href='#basePath#/PageZ.cfm'>Open Z</a><br>");
		
	}

	/**
	 * @hint A session starts
	 */
	public void function onSessionStart(){
		var strRandom = RandRange(1,9999999);
		Session.RandNumber= strRandom;
		
	}
	

}


